package function.builtin.special;

import function.FunctionNames;
import function.UserDefinedFunction;
import function.UserDefinedMacro;
import sexpression.Cons;
import sexpression.SExpression;

@FunctionNames({ "DEFMACRO" })
public class DEFMACRO extends Define {

    public DEFMACRO(String name) {
        super(name);
    }

    @Override
    protected UserDefinedFunction createFunction(SExpression functionName, Cons lambdaList, Cons functionBody) {
        return new UserDefinedMacro(functionName.toString(), lambdaList, functionBody);
    }

}
